#1269 closed defect (fixed)

[libblock] rtems_disk_io_done releases semaphore instead of deleting

Reported by: strauman Owned by: Joel Sherrill
Priority: normal Milestone: 4.7
Component: lib/block Version: 4.7
Severity: normal Keywords:
Cc: chrisj@…, victor.vengerov@… Blocked By:
Blocking:

Description

It seems to me that the purpose of 'rtems_disk_io_done()'
is cleaning up resources allocated by rtems_disk_io_initialize().

However, rtems_disk_io_done() releases the 'diskdevs_mutex' semaphore that
was created by rtems_disk_io_initialize() instead of deleting it.

(Note that there is no rtems_semaphore_obtain() call that would
match the rtems_semaphore_release())

Attachments (1)

diskdevs.c.diff (657 bytes) - added by strauman on Jan 5, 2008 at 11:26:14 PM.
patch

Download all attachments as: .zip

Change History (4)

Changed on Jan 5, 2008 at 11:26:14 PM by strauman

Attachment: diskdevs.c.diff added

patch

comment:1 Changed on Jan 5, 2008 at 11:26:59 PM by strauman

Summary: rtems_disk_io_done releases semaphore instead of deleting[libblock] rtems_disk_io_done releases semaphore instead of deleting

comment:2 Changed on Aug 6, 2008 at 3:05:14 AM by Chris Johns

Cc: Chris Johns added
Resolution: fixed
Status: newclosed

Change committed to CVS.

comment:3 Changed on Oct 10, 2017 at 6:49:52 AM by Sebastian Huber

Component: scorelib/block
Note: See TracTickets for help on using tickets.